# Rill Developer **_(tech preview)_**
Rill Developer makes it effortless to transform your datasets with SQL and create powerful, opinionated dashboards. Rill's principles:

- _**feels good to use**_ – powered by Sveltekit & DuckDB = conversation-fast, not wait-ten-seconds-for-result-set fast
- _**works with your local and remote datasets**_ – imports and exports Parquet and CSV (s3, gcs, https, local)
- _**no more data analysis "side-quests"**_ – helps you build intuition about your dataset through automatic profiling
- _**no "run query" button required**_ – responds to each keystroke by re-profiling the resulting dataset
- _**radically simple dashboards**_ – thoughtful, opinionated defaults to help you quickly derive insights from your data
- _**dashboards as code**_ – each step from data to dashboard has versioning, git sharing, and easy project rehydration 


## We want to hear from you

You can [file an issue](https://github.com/rilldata/rill-developer/issues/new/choose) or reach us in our [Rill discord](https://bit.ly/3unvA05) channel. Please abide by the [rill community policy](https://github.com/rilldata/rill-developer/blob/main/COMMUNITY-POLICY.md).


## Legal
By downloading and using our application you are agreeing to the [Privacy Policy](https://www.rilldata.com/legal/privacy) and [Rill Terms of Service](https://www.rilldata.com/legal/tos).